<?php
ini_set("session.cookie_lifetime",60*60*10);
ini_set("session.gc_maxlifetime", 60*60*10);
	session_start();
	include("cls_conexion.php");$CNN=new ClsMySQL();include("conexion23.php");
	if(strlen($_SESSION['SYS_USER_ID'])==0){JsDir("login.php");	return;}
	//
	if(vbval($_SESSION['SYS_USER_GI'])!=USU_GET_GI($_SESSION['SYS_USER_ID'])){
		JsDir("cerrar.php");	
		return;
	}
	//
	$IdU=vbval($_SESSION['SYS_USER_ID']);
	$PRO_ID_ALM=gn("pro_id_alm","usuarios","id_usuario=$IdU");
	//
	$StrId=V($_POST['TxtId']);
	$StrCmd=V($_POST['TxtAc']);
	//-------------------------
	$StrEmp=V($_POST['CboEmp']);	
	$StrAlm=V($_POST['CboAlm']);		
	$StrCom=V($_POST['CboCom']);		
	$StrSer=V($_POST['TxtSer']);		
	$StrNum=V($_POST['TxtNum']);		
	$StrDex=V($_POST['TxtDex']);		
	$StrHax=V($_POST['TxtHax']);			
	$StrDes=V($_POST['TxtDes']);		
	$StrMar=V($_POST['TxtMar']);			
	$StrPro=V($_POST['TxtPro']);			
	$StrSN=V($_POST['CboSN']);
	$StrCod=V($_POST['TxtCod']);			
	//
	if($PRO_ID_ALM==0){
		if(strlen($StrEmp)==0)$StrEmp=GE("S");
		if(strlen($StrAlm)==0)$StrAlm=GA($StrEmp,"S");	
	}else{
		$StrEmp=gs("ENC","vis_almacenes","IDA=$PRO_ID_ALM");
		$StrAlm=gs("ANC","vis_almacenes","IDA=$PRO_ID_ALM");
	}
	//
	$StrEmp_=LIKE($StrEmp);
	$StrAlm_=LIKE($StrAlm);
	if(strlen($StrSN)==0)$StrSN="NO";
	$StrSN_=substr($StrSN,0,1);
	$StrDes_=$StrDes."%";
	$StrMar_=$StrMar."%";
	$StrNum_=$StrNum."%";
	$StrSer_=$StrSer."%";
	if(strlen($StrDex)==0){
		$StrDex_="2000-01-01";
	}else{
		$StrDex_=ToDate($StrDex);
	}
	if(strlen($StrHax)==0){
		$StrHax_="2030-12-01";//
	}else{
		$StrHax_=ToDate($StrHax);
	}
	$StrPro_=$StrPro."%";
	$StrCod_=$StrCod."%";
	//-------------------------	
	$FF="ID>0 AND  EMPC LIKE '$StrEmp_' 
		AND ALM LIKE '$StrAlm_' 
		AND SER LIKE '$StrSer_' 
		AND NUM LIKE '$StrNum_' 
		AND FEC >= '$StrDex_' 
		AND FEC <= '$StrHax_' 
		AND DES_RS LIKE '$StrPro_' 
		AND ANU LIKE '$StrSN_' 
		AND DES LIKE '$StrDes_' 
		AND LIN LIKE '$StrMar_'
		AND COD LIKE '$StrCod_' ";

	include("guias_pdf.php");

$LStrTR=gn("count(*)","vguias_det",$FF);
$LStrPag=V($_POST['TxtPag']);	
if($StrCmd=="F"){$LStrPag="1";}
$VP_RegXPag=1000;
$LStrPag=PagGet($LStrPag,$StrCmd,$LStrTR,$VP_RegXPag);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Guias - Buscar - Detallado</title>
<!--CSS_NEW------------------------------------->
<link rel="stylesheet" type="text/css" href="estiloss.css"  />
<link rel="stylesheet" type="text/css" href="basic.css"  />
<!--CSS_NEW------------------------------------->
<?php AddJs();?>
<script type="text/javascript" src="fe/funcionez.js"></script>
<script>
$(document).ready(function(){  
   Inicializar();
});
//--------------------
function fGenPDF(){
	var emp=gv("CboEmp");
	var alm=gv("CboAlm");
	if(jL(emp)==0){
		alert("Seleccione una empresa");
		jF("CboEmp");
	}
	if(jL(alm)==0){
		alert("Seleccione un almacen");
		jF("CboAlm");
	}
	document.getElementById("TxtAc").value="GEN_PDF_3";
	document.getElementById("Frm").submit();
}
function EM_OC(){	
	var Emp=gv("CboEmp");	
	var r=AX("03",Emp);
	if(r=="X"){
		CBO_CLS("CboAlm",1);
	}else{
		CBO_FILL("CboAlm",r,0);
	}
}


$(document).ready(function(){
   $("#TxtDex").mask("99-99-99");    
   $("#TxtHax").mask("99-99-99");    
});
</script>

<script language="javascript">
$(document).ready(function() {
	$(".botonExcel").click(function(event) {
		$("#datos_a_enviar").val( $("<div>").append( $("#Exportar_a_Excel").eq(0).clone()).html());
		$("#FormularioExportacion").submit();
});
});
</script>
<style type="text/css">
<!--
body {
	background-color: #CCC;
}
#Layer1 {
	position:absolute;
	left:345px;
	top:115px;
	width:123px;
	height:35px;
	z-index:1;
}
.centrarFrm{
	width:1200px;
	height:600px;
	position:absolute;
	left:<?php echo "50%";?>;
	top:<?php echo "50%";?>;
	background-color:#006699;
	margin:<?php echo "-300px";?> 0 0 <?php echo "-600px";?>;
}
#Layer2 {
	position:absolute;
	left:409px;
	top:205px;
	width:82px;
	height:24px;
	z-index:1;
}
.Estilo1 {
	font-family: Arial, Helvetica, sans-serif;
	font-weight: bold;
	color: #FFFFFF;
}
.f2 {font-family: Arial, Helvetica, sans-serif; font-weight: bold; color: #FFFFFF; font-size: 12px; }
.Estilo3 {color: #FFFFFF; font-size: 12px; font-family: Arial, Helvetica, sans-serif;}
.z4 {
	color: #000099;
}
.Estilo5 {color: #000000}

-->
</style>

</head>
<body  <?php echo $StrMsg;?>>
<div Id="DivFRM"  class="centrarFrm" >
<form id="Frm" name="Frm" method="post" action="guias_buscar_det.php">



<div id="layer5" style="position:absolute; left: 79px; top: 50px; width: 525px; height: 28px;">
<div align="left" class="f2">
<input name="CmdV" type="button" id="CmdV" 
value="Volver" onclick="fVolver('guias.php?TxtAc=X');" />

<input name="CmdPDF" type="button" id="CmdPDF" 
value="PDF.Detallado" onclick="fGenPDF('PDF_D');" 
tabindex="<?php echo ++$TI;?>" />
</div>
</div>
<div id="layer3" style="position:absolute; left: 25px; top: 151px; width: 1151px; height: 403px; overflow:auto">
<div align="left" class="f2">
<table id="Exportar_a_Excel" width="1130" height="19" border="1" cellpadding="0" cellspacing="0">
<tr  >
            <td height="18" colspan="11" bgcolor="#666666" align="center">
<?php echo PagBtn($LStrTR,$VP_RegXPag,$LStrPag);?>
            </td>
           
          </tr>
<tr>
<td width="85" bgcolor="#999999"><span class="z4">EMPRESA</span></td>
<td width="81" bgcolor="#999999"><span class="z4">ALMACEN</span></td>
<td width="115" bgcolor="#999999"><span class="z4">NUMERO</span></td>
<td width="72" bgcolor="#999999"><span class="z4">FECHA</span></td>
<td width="191" bgcolor="#999999"><span class="z4">DESTINATARIO</span></td>
<td width="88" bgcolor="#999999" ><span class="z4">RUC</span></td>
<td width="78" bgcolor="#999999" ><span class="z4">CODIGO</span></td>
<td width="220" bgcolor="#999999" ><span class="z4">DESCRIPCION</span></td>
<td width="83" bgcolor="#999999" ><span class="z4">LINEA</span></td>
<td width="40" bgcolor="#999999" ><span class="z4">CANT</span></td>
<td width="53" bgcolor="#999999" ><span class="z4">PIEZAS</span></td>
</tr>
<?php		  	
	$_TP=0;	
	$s="SELECT ID,ALM,'GUIA' as
	    COM,CONCAT(SER,'-',NUM) AS SER,DATE_FORMAT(FEC,'%d-%m-%y') AS FEC,
		SUBSTRING(DES_RS,1,19) AS DES_RS,DES_RUC,SUBSTRING(DES,1,26) AS DES,MAR,KA,COD,SUBSTRING(LIN,1,21) AS LIN,PIEZAS,EMPC
		FROM vguias_det WHERE $FF ORDER BY ALM,SER,NUM,FEC,DES_RS ";

	$X1="<td bgcolor=\"#FFFFFF\"><span class=\"Estilo5\">";
	$X1B="<td bgcolor=\"#FFFFFF\" align=\"right\"><span class=\"Estilo5\">";
	$X2="</span></td>";
	$s=PagSql($s,$LStrPag,$VP_RegXPag,$LStrTR);
	$result = grs($s);				
	while ($row = $result->fetch_assoc()){
		echo "<tr ondblclick=\"location.href='guias.php?Id=$row[ID]&Pag=0';\">";
		echo $X1.$row['EMPC'].$X2;
		echo $X1.$row['ALM'].$X2;
		echo "<td bgcolor=\"#FFFFFF\"><a target=\"_blank\" href=\"guias.php?Id=$row[0]\">'$row[SER]</a></td>";
		echo $X1.$row['FEC'].$X2;
		echo $X1.$row['DES_RS'].$X2;
		echo $X1.$row['DES_RUC'].$X2;
		echo $X1."'".$row['COD'].$X2;
		echo $X1.$row['DES'].$X2;
		echo $X1.$row['LIN'].$X2;
		echo $X1.$row['KA'].$X2;
		echo $X1.$row['PIEZAS'].$X2;
		echo "</tr>";
		$_TP=$_TP + $row['KA'];
	}
?>		  
<tr>
<td width="85" bgcolor="#999999">&nbsp;</td>
<td width="81" bgcolor="#999999">&nbsp;</td>
<td width="115" bgcolor="#999999">&nbsp;</td>
<td width="72" bgcolor="#999999">&nbsp;</td>
<td width="191" bgcolor="#999999">&nbsp;</td>
<td width="88" bgcolor="#999999" >&nbsp;</td>
<td width="78" bgcolor="#999999" >&nbsp;</td>
<td width="220" bgcolor="#999999" >&nbsp;</td>
<td width="83" bgcolor="#999999" ><span class="z4">TOT. CAJAS</span></td>
<td width="40" bgcolor="#999999" ><span class="z4"><?php echo NF4($_TP);?></span></td>
<td width="53" bgcolor="#999999" >&nbsp;</td>
</tr>
</table>
      </div>
    </div>
    <div id="layer" style="position:absolute; left: 79px; top: 30px; width: 412px; height: 24px;">
      <div align="left" class="Estilo1">GUIAS - BUSCAR
        <input name="TxtId" type="hidden" id="TxtId" value="<?php echo $StrId;?>"/>
        <input name="TxtPag" type="hidden" id="TxtPag" value="<?php echo $LStrPag; ?>" />
		<input name="TxtAc" type="hidden" id="TxtAc" value="" />
<input name="FEC_SERVER" type="hidden" id="FEC_SERVER" value="<?php echo date("d-m-y");?>"/>  
      - Detallado</div>
    </div>


    <div id="LblTit" style="position:absolute; left: 20px; top: 25px; width: 64px;">
    <div align="left" class="Estilo1"><img src="img/buscar.png" width="57" height="60" /></div>
  </div>	

<div id="layer14" style="position:absolute; left:24px; top: 102px; width: 102px;">
<div align="left" class="f2">EMPRESA</div>
</div>
<select name="CboEmp" id="CboEmp" 
style="position:absolute; left:24px; top:119px; width: 131px;" 
onchange="EM_OC();"
onkeydown="return SoloTextoEx(event,'CboAlm');" tabindex="1">
<?php 
	echo LE($StrEmp,"S","N"); 
?>
</select>

<div id="layer14" style="position:absolute; left: 168px; top: 102px; width: 102px;">
<div align="left" class="f2">ALMACEN</div>
</div>
<select name="CboAlm" id="CboAlm" style="position:absolute; left: 166px; top: 119px; width: 109px;" 
onkeydown="return SoloTextoEx(event,'CboCom');">
<?php
	echo LA($StrEmp,$StrAlm,"S","N");
?>
</select>

<div id="layer13" style="position:absolute; left: 285px; top: 102px; width: 102px;">
<div align="left" class="f2">COMPROBANTE</div>
</div>
<select name="CboCom" id="CboCom" 
style="position:absolute; left: 284px; top: 119px; width: 91px;" 
onkeydown="return SoloTextoEx(event,'TxtSer');">
<option value="GUIA">GUIA</option>
</select>

<div id="layer15" style="position:absolute; left: 384px; top: 102px; width: 46px;">
<div align="left" class="f2">SERIE</div>
</div>
<input name="TxtSer" type="text" id="TxtSer" 
style="position:absolute; left: 384px; top: 119px; width: 39px;" 
value="<?php echo $StrSer;?>"   onblur="_S(this);"
onkeydown="return SoloTextoEx(event,'TxtNum');"
tabindex="1" />


<div id="layer6" style="position:absolute; left: 431px; top: 102px; width: 74px;">
<div align="left" class="f2">NUMERO</div>
</div>   
<input name="TxtNum" type="text" id="TxtNum" 
style="position:absolute; left: 432px; top: 119px; width: 59px;" 
onblur="_N(this);"
value="<?php echo $StrNum;?>"  
onkeydown="return SoloTextoEx(event,'TxtDex');"
tabindex="1" />

<div id="layer7" style="position:absolute; left: 503px; top: 87px; width: 45px;">
<div align="left" class="f2">DESDE</div>
</div>
<div class="EV" style="left: 501px; top: 101px; width: 88px; color:#FF0"><u><a onclick="fFecServer('TxtDex')">(dd-mm-yy) +</a></u></div>
<input name="TxtDex" type="text" id="TxtDex" 
style="position:absolute; left: 503px; top: 119px; width: 65px;" value="<?php echo $StrDex;?>"  
onkeydown="return SoloFec(this,event,'TxtHax');"
tabindex="1" />

<div style="position:absolute; left: 582px; top: 87px; width: 60px;">
<div align="left" class="f2">HASTA</div>
</div>
<div class="EV" style="left: 579px; top: 101px; width: 88px; color:#FF0"><u><a onclick="fFecServer('TxtHax')">(dd-mm-yy) +</a></u></div>
<input name="TxtHax" type="text" id="TxtHax" 
style="position:absolute; left: 581px; top: 119px; width: 61px;" 
value="<?php echo $StrHax;?>"  
onkeydown="return SoloFec(this,event,'TxtPro');"
tabindex="1" />






<div id="layer17" style="position:absolute; left: 766px; top: 102px; width: 64px;">
<div align="left" class="f2">ANULADO</div>
</div>
<select name="CboSN" id="CboSN" 
style="position:absolute; left: 766px; top: 119px; width: 61px;" 
onkeydown="return SoloTextoEx(event,'TxtCod');">
<?php
	echo FCBO_("au_item","auxiliar","au_tab='SI_NO'",$StrSN,"N","N");
?>
</select>

<div style="position:absolute; left: 658px; top: 102px; width: 100px;">
<div align="left" class="f2">DESTINATARIO</div>
</div>
<input name="TxtPro" type="text" id="TxtPro" 
style="position:absolute; left: 656px; top: 119px; width: 99px;" value="<?php echo $StrPro;?>"  
onkeydown="return SoloTextoEx(event,'CboSN');" 
tabindex="1" />

<div id="layer17" style="position:absolute; left: 838px; top: 102px; width: 59px;">
<div align="left" class="f2">CODIGO</div>
</div>
<input name="TxtCod" type="text" id="TxtCod" 
style="position:absolute; left: 835px; top: 119px; width: 78px;" value="<?php echo $StrCod;?>"  
onkeydown="return SoloTextoEx(event,'TxtDes');" 
tabindex="1" />
   
<div style="position:absolute; left: 926px; top: 102px; width: 87px;">
<div align="left" class="f2">DESCRIPCION</div>
</div>
<input name="TxtDes" type="text" id="TxtDes" 
style="position:absolute; left: 925px; top: 119px; width: 92px;" value="<?php echo $StrDes;?>"  
onkeydown="return SoloTextoEx(event,'TxtMar');"
tabindex="1" />

<div style="position:absolute; left: 1030px; top: 102px; width: 74px;">
<div align="left" class="f2">LINEA</div>
</div>
<input name="TxtMar" type="text" id="TxtMar" 
style="position:absolute; left: 1029px; top: 119px; width: 53px;" value="<?php echo $StrMar;?>"  
onkeydown="return SoloTextoEx(event,'CmdB');"
tabindex="1" />

<input name="CmdB" type="button" id="CmdB"
style="position:absolute; left: 1092px; top: 119px; width: 57px;"
value="Filtrar" onclick="fFiltrar();" />


</form>

<div class="s1" style="left: 23px; top: 559px; width: 166px;">Doble Click sobre el registro para activar Actualizacion </div>

<?php
if(strlen($StrDESCARGAR)>0){
echo "<div id=\"layer51\" 
	  style=\"position:absolute; left: 135px; top: 77px; 
	  width: 100px; background-color: #FFCC00; layer-background-color: #FFCC00; 
	  border: 1px none #000000; height: 17px;\">";
echo "<div align=\"center\" class=\"f2\"> ";
echo " <a href=\"$StrDESCARGAR\" download>Descarga.PDF</a> ";
echo "</div>";
echo "</div>";
}
?>

<form action="ficheroExcel.php" method="post" target="_blank" id="FormularioExportacion" >
<div style="position:absolute; left: 259px; top: 50px; width: 45px; height: 15px;">  
<input name="" type="button" class="botonExcel" value="Exportar" />
<input type="hidden" id="datos_a_enviar" name="datos_a_enviar" />
</div>
</form>

</div>
</body>
</html>
